:root {
    --border: #02023A;
    --d1: rgba(255, 255, 255, 0.18);
    --d2: rgba(234, 103, 0, 0.22);
    --d3: rgba(255, 0, 0, 0.32);
    --completed: rgba(0, 255, 16, 0.5);
}

@font-face {
    font-family: "Quicksand";
    src: url('/include/ttf/Quicksand-VariableFont_wght.ttf')
}

html {
    scroll-behavior: smooth;
}

body {
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: 0% 0%;
    background-size: cover;
    font-family: Quicksand;
    font-size: 1.2rem;
    text-align: center;
}

*.y2021 {
    background-image: -webkit-linear-gradient(-45deg, rgba(255, 166, 0, 0.5) , rgba(255, 255, 0, 0.5), rgba(0, 128, 0, 0.5), rgba(0, 255, 255, 0.5), rgba(0, 0, 255, 0.5), rgba(238, 130, 238, 0.5)); /* For Safari 5.1 to 6.0 */
    background-image: -o-linear-gradient(-45deg, rgba(255, 166, 0, 0.5), rgba(255, 255, 0, 0.5), rgba(0, 128, 0, 0.5), rgba(0, 255, 255, 0.5), rgba(0, 0, 255, 0.5), rgba(238, 130, 238, 0.5)); /* For Opera 11.1 to 12.0 */
    background-image: -moz-linear-gradient(-45deg, rgba(255, 166, 0, 0.5), rgba(255, 255, 0, 0.5), rgba(0, 128, 0, 0.5), rgba(0, 255, 255, 0.5), rgba(0, 0, 255, 0.5), rgba(238, 130, 238, 0.5)); /* For Firefox 3.6 to 15 */
    background-image: linear-gradient(135deg, rgba(255, 166, 0, 0.5) , rgba(255, 255, 0, 0.5), rgba(0, 128, 0, 0.5), rgba(0, 255, 255, 0.5), rgba(0, 0, 255, 0.5), rgba(238, 130, 238, 0.5)); /* Standard syntax (must be last) */
}

*.y2022 {
    background-image: url('../img/stars.png');
    --d1: rgba(255, 255, 255, 0.35);
    --d2: rgba(234, 103, 0, 0.37);
    --d3: rgba(255, 0, 0, 0.48);
    --completed: rgba(0, 255, 16, 0.66);
}

*.y2023 {
    background-image: url('../img/cow.png');
}

h1 {
    margin: 0.5em 0 0.1em;
    font-size: 1.9em;
}

p.input-group.first {
    margin-block-start: 0;
}

form {
    margin-top: 5vh;
}

card {
    display: block;
    font-size: 6.5pt;
    width: 100%;
    border: 2px solid var(--border);
    border-radius: 10px;
    float: left;
    margin-bottom: 50px;
}

card cardcol {
    display: block;
    float: left;
    width: 20%;
}

card cardcell {
    display: block;
    overflow: scroll;
    padding: 2px;
    height: 13vh;
    border: 1px solid var(--border);
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}

card cardcell.left { border-left: none; }
card cardcell.right { border-right: none; }
card cardcell.top { border-top: none; }
card cardcell.bottom { border-bottom: none; }
card cardcell.top.left { border-top-left-radius: 10px;}
card cardcell.top.right { border-top-right-radius: 10px;}
card cardcell.bottom.left { border-bottom-left-radius: 10px;}
card cardcell.bottom.right { border-bottom-right-radius: 10px;}

card cardcell.d1 { background-color: var(--d1); }
card cardcell.d2 { background-color: var(--d2); }
card cardcell.d3 { background-color: var(--d3); }
card cardcell.completed { background-color: var(--completed); }

card cardcell::-webkit-scrollbar {
    display: none; /* Hide scrollbar for Chrome, Safari and Opera */
}

card div.wrapper {
    position: relative;
    min-height: 13vh;
}

card p {
    margin-block-start: 0;
    margin-block-end: 0;
}

card p.task {
    padding-bottom: 8px;
}

card p.creator {
    font-size: 5pt;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
}

body.y2022 card p {
    text-shadow: 0 0 7px white;
}

input {
    font: bold 1.2rem Quicksand;
    width: 50vw;
    border-radius: 15px;
    border: 2px double black;
    text-align: center;
    text-align-last: center;
}

input[type=submit] {
    background-color: #272727;
    color: white;
    border-color: white;
}

label::after {
    content: "";
    display: block;
}

img#logout,
img#search {
    height: 20px;
    width: 20px;
    position: absolute;
    top: 20px;
    right: 20px;
}

img#search {
    height: 22px;
    width: 22px;
    top: 60px;
}

a {
    color: inherit;
    text-decoration: dotted underline;
}

a#changeyear {
    display: block;
    position: absolute;
    top: 20px;
    left: 10px;
    text-decoration: none;
    border: 2px solid var(--border);
    border-radius: 10px;
    padding: 5px 10px;
    font-weight: bold;
    text-shadow: 0 0 7px white;
}

a#changeyear.y2022 {
    background-size: 250%;
    background-position-y: -110px;
}

a#changeyear.y2023 {
    background-size: 100%;
}

span.underline {
    text-decoration: underline;
}

/*** Leaderboard ***/
table.leaderboard,
table.search {
    border-collapse: collapse;
    margin-left: auto;
    margin-right: auto;
}

table.leaderboard th,
table.leaderboard td,
table.search th,
table.search td {
    border: 2px solid var(--border);
    padding: 2px 6px;
    background-color: var(--d1);
}

table.search {
    text-align: left;
}

.hidden {
    display: none;
}

table.sortable th:not(.sorttable_sorted):not(.sorttable_sorted_reverse):not(.sorttable_nosort):after { 
    content: " \25B4\25BE" 
}
